Subject: Re: zsh: command not found => hangs
From: Samuel Thibault <[email-masked]>
To: "Peter A. Castro" <[email-masked]>
Cc: [email-masked]
Date: Fri, 26 Aug 2005 00:04:54 +0200

Hi,

Peter A. Castro, le Thu 25 Aug 2005 14:18:53 -0700, a écrit :
> On Thu, 25 Aug 2005, Samuel Thibault wrote:
> >Note that I replaced cygwin1.dll by the latest snapshot (2005/08/24).
> >The current release version (2005/07/03) does work fine. I tried with
> >previous snapshots, even 2005/07/05 fails...
> 
> Wait, so the released version works, but the snapshot doesn't?

Precisely.

> Do you have any network drives in your $PATH?

None.

> Hmmm... Well, I guess the only thing to do is run strace, make it fail
> and send us the trace.

It is available on
http://dept-info.labri.fr/~thibault/zsh_strace

See line 4808 in particular. zsh lays remains hung with the last line.

> I'll just add that you should make sure you stop and restart any
> cygwin services too.

There was none, so ok :)

Regards,
Samuel

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/